Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.handler
Class SimpleServletPostProcessor

    java.lang.Object
      org.springframework.web.servlet.handler.SimpleServletPostProcessor

All Implemented Interfaces:
  Aware, BeanPostProcessor, DestructionAwareBeanPostProcessor, ServletConfigAware, ServletContextAware

    public class SimpleServletPostProcessor

extends java.lang.Object
implements DestructionAwareBeanPostProcessor, ServletContextAware, ServletConfigAware

`BeanPostProcessor` that applies initialization and destruction callbacks to beans that implement the `Servlet` interface.

After initialization of the bean instance, the Servlet `init` method will be called with a ServletConfig that contains the bean name of the Servlet and the ServletContext that it is running in.

Before destruction of the bean instance, the Servlet `destroy` will be called.

Note that this post-processor does not support Servlet initialization parameters. Bean instances that implement the Servlet interface are supposed to be configured like any other Spring bean, that is, through constructor arguments or bean properties.

For reuse of a Servlet implementation in a plain Servlet container and as a bean in a Spring context, consider deriving from Spring's `HttpServletBean` base class that applies Servlet initialization parameters as bean properties, supporting both the standard Servlet and the Spring bean initialization style.

Alternatively, consider wrapping a Servlet with Spring's `ServletWrappingController`. This is particularly appropriate for existing Servlet classes, allowing to specify Servlet initialization parameters etc.

Since:
  1.1.5
Author:
  Juergen Hoeller
See Also:
  `Servlet.init(javax.servlet.ServletConfig)`, `Servlet.destroy()`, `SimpleServletHandlerAdapter`

Constructor Summary
`SimpleServletPostProcessor()`

Method Summary
`java.lang.Object` | `postProcessAfterInitialization(java.lang.Object bean, java.lang.String beanName)` Apply this BeanPostProcessor to the given new bean instance after any bean initialization callbacks (like InitializingBean's `afterPropertiesSet` or a custom init-method).
`void` | `postProcessBeforeDestruction(java.lang.Object bean, java.lang.String beanName)` Apply this BeanPostProcessor to the given bean instance before its destruction.
`java.lang.Object` | `postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)` Apply this BeanPostProcessor to the given new bean instance before any bean initialization callbacks (like InitializingBean's `afterPropertiesSet` or a custom init-method).
`void` | `setServletConfig(javax.servlet.ServletConfig servletConfig)` Set the ServletConfig that this object runs in.
`void` | `setServletContext(javax.servlet.ServletContext servletContext)` Set the ServletContext that this object runs in.
`void` | `setUseSharedServletConfig(boolean useSharedServletConfig)` Set whether to use the shared ServletConfig object passed in through `setServletConfig`, if available.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleServletPostProcessor

    public SimpleServletPostProcessor()

Method Detail

### setUseSharedServletConfig

    public void setUseSharedServletConfig(boolean useSharedServletConfig)

  Set whether to use the shared ServletConfig object passed in through `setServletConfig`, if available.

  Default is "true". Turn this setting to "false" to pass in a mock ServletConfig object with the bean name as servlet name, holding the current ServletContext.

  See Also:
    `setServletConfig(javax.servlet.ServletConfig)`

### setServletContext

    public void setServletContext(javax.servlet.ServletContext servletContext)

  Description copied from interface: `ServletContextAware`
  Set the ServletContext that this object runs in.

  Invoked after population of normal bean properties but before an init callback like InitializingBean's `afterPropertiesSet` or a custom init-method. Invoked after ApplicationContextAware's `setApplicationContext`.

  Specified by:
    `setServletContext` in interface `ServletContextAware`
  Parameters:
    `servletContext` - ServletContext object to be used by this object
  See Also:
    `InitializingBean.afterPropertiesSet()`, `ApplicationContextAware.setApplicationContext(org.springframework.context.ApplicationContext)`

### setServletConfig

    public void setServletConfig(javax.servlet.ServletConfig servletConfig)

  Description copied from interface: `ServletConfigAware`
  Set the ServletConfig that this object runs in.

  Invoked after population of normal bean properties but before an init callback like InitializingBean's `afterPropertiesSet` or a custom init-method. Invoked after ApplicationContextAware's `setApplicationContext`.

  Specified by:
    `setServletConfig` in interface `ServletConfigAware`
  Parameters:
    `servletConfig` - ServletConfig object to be used by this object
  See Also:
    `InitializingBean.afterPropertiesSet()`, `ApplicationContextAware.setApplicationContext(org.springframework.context.ApplicationContext)`

### postProcessBeforeInitialization

    public java.lang.Object postProcessBeforeInitialization(java.lang.Object bean,
                                                            java.lang.String beanName)
                                                     throws BeansException

  Description copied from interface: `BeanPostProcessor`
  Apply this BeanPostProcessor to the given new bean instance before any bean initialization callbacks (like InitializingBean's `afterPropertiesSet` or a custom init-method). The bean will already be populated with property values. The returned bean instance may be a wrapper around the original.

  Specified by:
    `postProcessBeforeInitialization` in interface `BeanPostProcessor`
  Parameters:
    `bean` - the new bean instance
    `beanName` - the name of the bean
  Returns:
    the bean instance to use, either the original or a wrapped one; if `null`, no subsequent BeanPostProcessors will be invoked
  Throws:
    `BeansException` - in case of errors
  See Also:
    `InitializingBean.afterPropertiesSet()`

### postProcessAfterInitialization

    public java.lang.Object postProcessAfterInitialization(java.lang.Object bean,
                                                           java.lang.String beanName)
                                                    throws BeansException

  Description copied from interface: `BeanPostProcessor`
  Apply this BeanPostProcessor to the given new bean instance after any bean initialization callbacks (like InitializingBean's `afterPropertiesSet` or a custom init-method). The bean will already be populated with property values. The returned bean instance may be a wrapper around the original.

  In case of a FactoryBean, this callback will be invoked for both the FactoryBean instance and the objects created by the FactoryBean (as of Spring 2.0). The post-processor can decide whether to apply to either the FactoryBean or created objects or both through corresponding `bean instanceof FactoryBean` checks.

  This callback will also be invoked after a short-circuiting triggered by a `InstantiationAwareBeanPostProcessor.postProcessBeforeInstantiation(java.lang.Class, java.lang.String)` method, in contrast to all other BeanPostProcessor callbacks.

  Specified by:
    `postProcessAfterInitialization` in interface `BeanPostProcessor`
  Parameters:
    `bean` - the new bean instance
    `beanName` - the name of the bean
  Returns:
    the bean instance to use, either the original or a wrapped one; if `null`, no subsequent BeanPostProcessors will be invoked
  Throws:
    `BeansException` - in case of errors
  See Also:
    `InitializingBean.afterPropertiesSet()`, `FactoryBean`

### postProcessBeforeDestruction

    public void postProcessBeforeDestruction(java.lang.Object bean,
                                             java.lang.String beanName)
                                      throws BeansException

  Description copied from interface: `DestructionAwareBeanPostProcessor`
  Apply this BeanPostProcessor to the given bean instance before its destruction. Can invoke custom destruction callbacks.

  Like DisposableBean's `destroy` and a custom destroy method, this callback just applies to singleton beans in the factory (including inner beans).

  Specified by:
    `postProcessBeforeDestruction` in interface `DestructionAwareBeanPostProcessor`
  Parameters:
    `bean` - the bean instance to be destroyed
    `beanName` - the name of the bean
  Throws:
    `BeansException` - in case of errors
  See Also:
    `DisposableBean`, `AbstractBeanDefinition.setDestroyMethodName(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD